Bug 217715 - [Media in GPU Process] Use CARingBuffer to transfer audio data of an audio destination from a web process to the GPU Process
Summary: [Media in GPU Process] Use CARingBuffer to transfer audio data of an audio de...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: Other
Hardware: iPhone / iPad Unspecified
: P2 Enhancement
Assignee: Peng Liu
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-10-14 10:01 PDT by Peng Liu
Modified: 2020-10-16 21:18 PDT (History)
8 users (show)

See Also:


Attachments
WIP patch (85.62 KB, patch)
2020-10-14 20:00 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
WIP patch v2 (86.01 KB, patch)
2020-10-14 20:51 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
WIP patch v3 (86.06 KB, patch)
2020-10-14 21:01 PDT, Peng Liu
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
WIP patch v4 (86.13 KB, patch)
2020-10-14 21:13 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
WIP patch v5 (86.13 KB, patch)
2020-10-14 21:21 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
WIP patch v6 (86.34 KB, patch)
2020-10-14 21:45 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
WIP patch v7 (86.74 KB, patch)
2020-10-14 22:10 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
WIP patch (working with CARingBuffer) (89.11 KB, patch)
2020-10-15 16:46 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
WIP patch (rebased) (88.62 KB, patch)
2020-10-15 18:47 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
WIP, fix build failures (88.13 KB, patch)
2020-10-15 20:26 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
WIP, fix build failures on WPE (88.17 KB, patch)
2020-10-15 20:40 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
WIP - almost done (89.80 KB, patch)
2020-10-15 23:13 PDT, Peng Liu
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (79.84 KB, patch)
2020-10-16 14:54 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
Patch (fix WPE/GTK build failures) (79.92 KB, patch)
2020-10-16 15:01 PDT, Peng Liu
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (fix WPE/GTK build failures again) (79.92 KB, patch)
2020-10-16 15:33 PDT, Peng Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peng Liu 2020-10-14 10:01:09 PDT
Currently, we are using IPC messages with SharedBuffer(s) to transfer audio data.
Comment 1 Radar WebKit Bug Importer 2020-10-14 10:01:53 PDT
<rdar://problem/70297165>
Comment 2 Peng Liu 2020-10-14 20:00:52 PDT
Created attachment 411400 [details]
WIP patch
Comment 3 Peng Liu 2020-10-14 20:51:42 PDT
Created attachment 411401 [details]
WIP patch v2
Comment 4 Peng Liu 2020-10-14 21:01:53 PDT
Created attachment 411402 [details]
WIP patch v3
Comment 5 Peng Liu 2020-10-14 21:13:29 PDT
Created attachment 411403 [details]
WIP patch v4
Comment 6 Peng Liu 2020-10-14 21:21:44 PDT
Created attachment 411404 [details]
WIP patch v5
Comment 7 Peng Liu 2020-10-14 21:45:39 PDT
Created attachment 411405 [details]
WIP patch v6
Comment 8 Peng Liu 2020-10-14 22:10:39 PDT
Created attachment 411407 [details]
WIP patch v7
Comment 9 Peng Liu 2020-10-15 16:46:35 PDT
Created attachment 411508 [details]
WIP patch (working with CARingBuffer)
Comment 10 Peng Liu 2020-10-15 18:47:56 PDT
Created attachment 411519 [details]
WIP patch (rebased)
Comment 11 Peng Liu 2020-10-15 20:26:06 PDT
Created attachment 411527 [details]
WIP, fix build failures
Comment 12 Peng Liu 2020-10-15 20:40:17 PDT
Created attachment 411529 [details]
WIP, fix build failures on WPE
Comment 13 Peng Liu 2020-10-15 23:13:32 PDT
Created attachment 411536 [details]
WIP - almost done
Comment 14 Peng Liu 2020-10-16 14:54:38 PDT
Created attachment 411618 [details]
Patch
Comment 15 Peng Liu 2020-10-16 15:01:30 PDT
Created attachment 411619 [details]
Patch (fix WPE/GTK build failures)
Comment 16 Peng Liu 2020-10-16 15:33:52 PDT
Created attachment 411626 [details]
Patch (fix WPE/GTK build failures again)
Comment 17 EWS 2020-10-16 21:18:42 PDT
Committed r268632: <https://trac.webkit.org/changeset/268632>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 411626 [details].